I tried to install the proprietary AMD drivers from the website, but it didn't work because they are only for SteamOS, Ubuntu and RHEL. The Debian wiki covers only older models of AMD GPUs. I searched everywhere but it only shows the Mesa drivers, which I don't want to use.

Specs: AMD Radeon RX 470, Debian 9

up vote 2 down vote accepted

The proprietary driver stopped being updated a while ago and is no longer compatible with the X server used in Debian 9 (or in any other recent distribution — for example Ubuntu 16.04 and later aren’t supported either). For a Radeon RX 470, you should use the amdgpu driver.

Your Answer

 

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.